#
# spec file for package uae (Version 0.8.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         uae
Copyright:    GPL
Group:        Applications/Emulators
Provides:     uae 
Requires:     ei
Autoreqprov:  on
Version:      0.8.16
Release:      87
Summary:      A Commodore Amiga emulator
Url:          http://www.freiburg.linux.de/~uae
Source0:      uae-%{version}.tar.bz2
Source1:      README.SuSE
Patch0:       uae-%{version}.patch
Patch1:       uae-%{version}-log.patch
Patch2:       uae-%{version}-ia64.patch
Patch3:       uae-%{version}-ia64-2.patch
Patch4:       uae-%{version}-conf.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
UAE is an Amiga emulator, that almost completely simulates an A500. You'll
need a Kickstart ROM as well as a Workbench to be able to work with UAE. Some
programs (demos/games) will work without these too.

Authors:
--------
    Bernd Schmidt <crux@Pool.Informatik.RWTH-Aachen.DE>

SuSE series: emu

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
#
cp %{S:1} docs/
mv aclocal.m4 acinclude.m4

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
autoconf
%ifarch i386 alpha
./configure --without-x \
            --with-svgalib \
            --enable-sound \
            --enable-ui
	    
make all 
mv uae suae
make clean
%endif
./configure --enable-sound
make all

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/uae
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 uae $RPM_BUILD_ROOT/usr/X11R6/bin/
%ifarch i386 alpha
install -m 644 suae $RPM_BUILD_ROOT/usr/bin
%endif
install -m 755 readdisk $RPM_BUILD_ROOT/usr/lib/uae
cp -a amiga $RPM_BUILD_ROOT/usr/lib/uae

%files
%defattr(-,root,root)
%doc docs/* COPYING
/usr/lib/uae
/usr/X11R6/bin/uae
%ifarch i386 alpha
%attr(4755,-,-)/usr/bin/suae
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n uae
* Mon Jun 18 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Mon Jun 11 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Mon Apr 23 2001 - pmladek@suse.cz
- fixed conversions int <-> pointer on ia64
- fixed warnings on ia64
* Wed Apr 18 2001 - uli@suse.de
- only build/install svgalib version on i386, alpha
* Mon Apr 16 2001 - pmladek@suse.cz
- updated to version 0.8.16
- fixed to compile (removed cpuopti)
- README.SuSE removed from patch to sources
- fixed call of suse_update_config
- compiled with RPM_OPT_FLAGS
- fixed print of "Calibrating delay loop ..."
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Oct 24 2000 - cihlar@suse.cz
- upgrade to 8.15
- fixed copyright tag
- clean up spec file
- bzipped sources
* Fri May 12 2000 - cihlar@suse.cz
- upgrade to 8.12
- removed DGA version
* Wed Mar 29 2000 - cihlar@suse.cz
- package does not require vga library
* Tue Mar 14 2000 - cihlar@suse.cz
- added BuildRoot
* Wed Feb 09 2000 - ro@suse.de
- update to 0.8.11
- hacked Makefile to compile
* Tue Oct 26 1999 - uli@suse.de
- update -> 0.8.10
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 22 1999 - uli@suse.de
- fixed syntax errors (!) in gencpu.c, newcpu.h
* Mon Jun 14 1999 - uli@suse.de
- update -> 0.8.8
* Mon Jun 14 1999 - uli@suse.de
- update 0.6.8 -> 0.7.6
- added SVGALib & DGA versions
* Fri Jan 08 1999 - bs@suse.de
- fixed permissions
- skipped Makefile.Linux
* Tue Sep 29 1998 - ro@suse.de
- keep configure from messing with the kernels joystick.h file
* Fri Jun 06 1997 - rj@suse.de
- neue Version 0.6.8
* Thu Jan 02 1997 - rj@suse.de
- neue Version 0.6.3
